Creates a new skill
Request Information
URI Parameters :
None.
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "5996edbe-254e-4957-b40a-a8818700c59d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "4987f11c-268e-421a-bbc3-47acf4bd2047",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1d8781e8-e8eb-4bde-9404-6e9a4e6d30d9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1d67e0c9-a841-473d-bf01-14fb49810b3c",
"db_currency_id": "21e214c0-c8cc-4b0c-bf27-afc5d1f18997",
"db_language_id": "163af259-5464-4c86-8dd2-98c09c7f0d5e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T18:35:46.3000196+00:00"
},
"modified_dateutc": "2026-10-27T18:35:46.3000196+00:00"
}
Response Information
Resource Description :
IHttpActionResult
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.